Bug 69809 - qla2100 Kernel panic: scsi_free:Bad offset
qla2100 Kernel panic: scsi_free:Bad offset
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-25 12:35 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-25 12:35:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
When using a qla2100 card on redhat 7.3 the following error randomly appears 
and locks the server :

white kernel: qla2x00: Status Entry invalid handle<6>qla2x00: Performing ISP 
error recovery - ha= c14f8084.
kernel: qla2x00: 64 Bit PCI Addressing Enabled
kernel: Kernel panic: scsi_free:Bad offset

Currently using 2.4.18-4 recompiled to have lun probing enabled.
The panic has occured at varios times during the day.

Qlogic has a specific driver for the 2100 but only for rh 6.2  I am relying on 
the kernel driver for support in 7.3.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install qla2100
2.recompile 2.4.18-4 with lun probing enabled
3. mount san drive, system under normal production.
4. kernel panic after varios times under load
	

Additional info:
Comment 1 Arjan van de Ven 2003-06-07 14:54:13 EDT
current errata kernels have a much newer qlogic driver with a lot of bugs fixed

Note You need to log in before you can comment on or make changes to this bug.